  DATA Mydata
      p: WORD
      s: CHAR* = "Hello World!",13,"This is Second Line..",13,"..WOW THIRD LINE..",13
      t: CHAR* = "THIS only illustrates very long string input methods..",13
      u: CHAR* = "Finally this is THE END of string...",0
  END Mydata
  
  PROGRAM Main
      CALL Hello
      HALT
  END Main
  
  FUNCTION Hello
      SETV s
      STA  p
   loop:
      LDAI p
      JMPZ exit
      PUT
      INC  p
      JMP  loop
   exit:
      RET
  END Hello
  